# Uses of Interface
org.apache.sling.discovery.commons.providers.spi.ClusterSyncService

Packages that use ClusterSyncService
Package
Description
org.apache.sling.discovery.commons.providers.base
Provides commons implementations for providers of the Discovery API.
org.apache.sling.discovery.commons.providers.spi.base
Provides default SPI-implementations used by discovery.commons.providers.impl

## Uses of ClusterSyncService in org.apache.sling.discovery.commons.providers.base

Methods in org.apache.sling.discovery.commons.providers.base with parameters of type ClusterSyncService
Modifier and Type
Method
Description
`static ViewStateManager`
ViewStateManagerFactory.`newViewStateManager(Lock lock, ClusterSyncService consistencyService)`

## Uses of ClusterSyncService in org.apache.sling.discovery.commons.providers.spi.base

Classes in org.apache.sling.discovery.commons.providers.spi.base that implement ClusterSyncService
Modifier and Type
Class
Description
`class`
`ClusterSyncServiceChain`
Allows chaining of ClusterSyncService, itself implementing the ClusterSyncService interface
`class`
`OakBacklogClusterSyncService`
The OakBacklogClusterSyncService will wait until all instances in the local cluster are no longer in any backlog state.
`class`
`SyncTokenService`
Implements the syncToken idea: each instance stores a key-value pair with key=stringId and value=discoveryLiteSequenceNumber under /var/discovery/oak/syncTokens - and then waits until it sees the same token from all other instances in the cluster.
Constructors in org.apache.sling.discovery.commons.providers.spi.base with parameters of type ClusterSyncService
Modifier
Constructor
Description
``
`ClusterSyncServiceChain(ClusterSyncService... chain)`
Creates a new chain of ClusterSyncService that calls a cascaded sync with the provided ClusterSyncService.